local Sequences = GSMasterSequences -- Dont remove this

---Monk---
	---Brewmaster---
		---Tier 1: Chi Burst = Multi-target, Eye of the Tiger = Single target---
		---Tier 6: Rushing Jade Wind = only when you have struggles with picking up adds, Special Delivery = Overal best choice---
Sequences['BrewRotation'] = {
specID = 268,
author = "Ðarkramz",
helpTxt = "Talents: 1/2, ?, 2, 3, 1, 1/3, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/castsequence [nochanneling] Keg Smash, Blackout Strike',
	'/cast [nochanneling,talent:1/1] Chi Burst',
	'/cast [nochanneling] Blackout Strike',
	'/cast [nochanneling] Keg Smash',
	'/cast [nochanneling,talent:6/1] Rushing Jade Wind',
	'/cast [nochanneling] Breath of Fire',
	'/cast [nochanneling] Tiger Palm',
PostMacro = [[
/startattack
/cast [combat] Keg Smash
/cast [combat] Breath of Fire
]],
}
	---Mistweaver---
	---Windwalker---
		---Tier 1: Chi Burst = Multi-target, Chi Wave = Single target---
		---Tier 3: Energizing Elixer is slightly better then Power Strikes, but Power Strikes is just easier for you---
		---Tier 6: Rushing Jade Wind = Multi-target, Hit Combo = Single target---
Sequences['WwSingle'] = {
specID = 269,
author = "Ðarkramz",
helpTxt = "Talents: 1/3, ?, 1/3, 3, ?, 2/3, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling] Strike of the Windlord',
	'/cast [nochanneling] Whirling Dragon Punch',
	'/castsequence [nochanneling] Tiger Palm, Blackout Kick',
	'/castsequence [nochanneling] Blackout Kick, Tiger Palm',
	'/cast [nochanneling,talent:1/1] Chi Burst; [nochanneling,talent:1/3] Chi Wave',
	'/cast [nochanneling] Fists of Fury',
	'/cast [nochanneling] Rising Sun Kick',
	'/cast [nochanneling] Tiger Palm',
	'/cast [nochanneling] Strike of the Windlord',
	'/cast [nochanneling] Whirling Dragon Punch',
PostMacro = [[
/startattack
/cast [nochanneling] Touch of Death
]],
}
Sequences['WwMulti'] = {
specID = 269,
author = "Ðarkramz",
helpTxt = "Talents: 1/3, ?, 1/3, 3, ?, 2/3, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast [nochanneling] Strike of the Windlord',
	'/castsequence [nochanneling] Tiger Palm, Blackout Kick',
	'/castsequence [nochanneling] Blackout Kick, Tiger Palm',
	'/cast [nochanneling,talent:1/1] Chi Burst; [nochanneling,talent:1/3] Chi Wave',
	'/castsequence [nochanneling] Rushing Jade Wind, Fists of Fury',
	'/castsequence [nochanneling] Fists of Fury, Rushing Jade Wind',
	'/cast [nochanneling] Spinning Crane Kick',
	'/cast [nochanneling] Tiger Palm',
	'/cast [nochanneling] Strike of the Windlord',
PostMacro = [[
/startattack
/cast [nochanneling] Touch of Death
]],
}
