local Sequences = GSMasterSequences -- Dont remove this

---Warrior---
	---Arms---
Sequences['ArmsSingle'] = {
specID = 71,
author = "Ðarkramz",
helpTxt = "Talents: 1, 3, 1, 2, 1, 2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
	'/cast Colossus Smash',
	'/castsequence Colossus Smash, Execute',
	'/cast [talent:1/2] Overpower',
	'/castsequence Colossus Smash, Mortal Strike',
	'/cast [talent:3/3] Slam; [talent:3/1] Whirlwind',
	'/castsequence Colossus Smash, Execute',
	'/cast Colossus Smash',
	'/cast Mortal Strike',
PostMacro = [[
/startattack
/cast Warbreaker
/cast Victory Rush
]],
}
Sequences['ArmsMulti'] = {
specID = 71,
author = "Ðarkramz",
helpTxt = "Talents: 1, 3, 1, 2, 1, 2, 2",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
	'/castsequence Cleave, Whirlwind',
	'/cast Cleave',
	'/cast Whirlwind',
	'/castsequence Cleave, Whirlwind',
	'/cast Cleave',
	'/cast Whirlwind',
	'/cast Colossus Smash',
PostMacro = [[
/startattack
/cast Warbreaker
/cast Victory Rush
]],
}
	---Fury---
		---Tier 7: Bladestorm = Multi-target, Dragon Roar = Single target---
		---Note: FuryHundreds is to use your lvl 100 talents manually and If it's used with the Bloodbath talent it spreads an AoE bleed ---
Sequences['FurySingle'] = {
specID = 72,
author = "Ðarkramz",
helpTxt = "Talents: 2, 3, 3, 3, 3, 3, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
	"/cast Odyn's Fury",
	'/cast Rampage',
	'/cast Bloodthirst',
	"/cast Odyn's Fury",
	'/cast Raging Blow',
	'/cast Bloodthirst',
	'/cast Furious Slash',
PostMacro = [[
/startattack
/cast [combat] Rampage
]],
}
Sequences['FuryMulti'] = {
specID = 72,
author = "Ðarkramz",
helpTxt = "Talents: 2, 3, 3, 3, 3, 3, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
	"/cast Odyn's Fury",
	'/castsequence Whirlwind, Rampage',
	'/castsequence Whirlwind, Bloodthirst',
	"/cast Odyn's Fury",
	'/castsequence Whirlwind, Rampage',
	'/castsequence Bloodthirst, Whirlwind',
	"/cast Odyn's Fury",
PostMacro = [[
/startattack
/cast [combat] Rampage
]],
}
Sequences['FuryHundreds'] = {
specID = 72,
author = "Ðarkramz",
helpTxt = "Talents: 2, 3, 3, 3, 3, 3, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
"/cast [nochanneling,combat,talent:6/1] Bloodbath",
PostMacro = [[
/startattack
/cast [talent:7/3] Dragon Roar; [talent:7/1] Bladestorm
]],
}
	---Protection---
		---Tier 1: Shockwave = Multi-target stun, Storm Bolt = Single target stun, No stuns needed? Go Warbringer!---
		---Tier 2: Inspiring Presence = Overall better, Take Safeguard only when the other tank is squishy and when you're not using Warbringer---
		---Tier 5: Never Surrender when you're the maintank, otherwise just use indomitable---
		---Tier 6: Vengeance = Single target, Into the Fray = Multi-target---
		---Tier 7: Heavy Repercussions if you can block a lot of the damage incomming (goes well with haste), if not use Anger Management---
Sequences['ProtSingle'] = {
specID = 73,
author = "Ðarkramz",
helpTxt = "Talents: 1/2/3, 2/3, 3, 3, 2/3, 1/2, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
	'/cast Shield Slam',
	'/cast Revenge',
	'/castsequence [talent:1/1] Shockwave; [talent:1/2] Storm Bolt; [talent:1/3] Intercept',
	'/cast Shield Slam',
	'/cast Revenge',
	'/cast Devastate',
PostMacro = [[
/startattack
/cast Victory Rush
]],
}
Sequences['ProtMulti'] = {
specID = 73,
author = "Ðarkramz",
helpTxt = "Talents: 1/2/3, 2/3, 3, 3, 2/3, 1/2, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast [combat] Avatar
/cast [combat] Battle Cry
]],
	'/cast Revenge',
	'/cast Thunder Clap',
	'/cast Shield Slam',
	'/castsequence [talent:1/1] Shockwave; [talent:1/2] Storm Bolt; [talent:1/3] Intercept',
	'/cast Revenge',
	'/cast Thunder Clap',
	'/cast Shield Slam',
	'/cast Devastate',
PostMacro = [[
/startattack
/cast Victory Rush
]],
}
